            #GIT_CMT=88d695f521bdc54eca4e6ec6a3be8c2dfa5b67bd
Name:           userspace-rcu
Version:        0.10.2
Release:        1%{?dist}
Vendor:         Oracle America
Summary:        RCU (read-copy-update) implementation in user-space

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://liburcu.org
Source0: userspace-rcu-0.10.2.tar.bz2
BuildRequires:  pkgconfig
BuildRequires:  perl-Test-Harness
BuildRequires:  autoconf automake libtool

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}}

%description
This data synchronization library provides read-side access which scales
linearly with the number of cores. It does so by allowing multiples copies
of a given data structure to live at the same time, and by monitoring
the data structure accesses to detect grace periods after which memory
reclamation is possible.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
# Reinitialize libtool with the fedora version to remove Rpath
autoreconf -vif

%configure --disable-static
V=1 make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -vf $RPM_BUILD_ROOT%{_libdir}/*.la


%check
make check
make regtest

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc ChangeLog LICENSE README.md gpl-2.0.txt lgpl-relicensing.txt lgpl-2.1.txt
%{_libdir}/*.so.*
/usr/share/doc/userspace-rcu/LICENSE
/usr/share/doc/userspace-rcu/README.md


%files devel
%doc %{_pkgdocdir}/examples
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/liburcu*.pc
%{_docdir}/%{name}/cds-api.md
%{_docdir}/%{name}/rcu-api.md
%{_docdir}/%{name}/solaris-build.md
%{_docdir}/%{name}/uatomic-api.md


%changelog
* Thu Apr 25 2019 Tiger Yang <tiger.yang@oracle.com> - 0.10.2-1
- Fix: only wait if work queue is empty in real-time mode
- Fix: don't wait after completion of a work queue job batch
- Fix: don't wait after completion of job batch if work queue is empty
- Fix: workqueue: struct urcu_work vs rcu_head mixup
- Cleanup: workqueue: update comments referring to call-rcu
- Fix: mixup between URCU_WORKQUEUE_RT and URCU_CALL_RCU_RT
- test_rwlock: Add per-thread count to verbose output
- Add *.exe to gitignore for Cygwin
- Fix: pthread_rwlock initialization on Cygwin
- Fix: compat_futex_noasync on Cygwin
- Fix: don't use overlapping mmap mappings on Cygwin
- Fix: don't use membarrier SHARED syscall command in liburcu-bp
- Tests fix: add missing Cygwin thread id
- Fix: assignment from incompatible pointer type warnings
- Tests fix: unused variable warnings
- Fix: add missing m68k headers to dist

* Wed Jan 16 2019 Tiger Yang <tiger.yang@oracle.com> - 0.10.0-6
- Rebuild for oracle-gluster-5

* Wed Dec 26 2018 Tiger Yang <tiger.yang@oracle.com> - 0.10.0-5
- set vendor string to "Oracle America"

* Wed Aug 15 2018 Tiger Yang <tiger.yang@oracle.com> - 0.10.0-4
- Rebuild for oracle-gluster-4.1

* Wed May 30 2018 Tiger Yang <tiger.yang@oracle.com> - 0.10.0-3
- Initial revision for oracle-gluster-4.0.
